Bug 198049 - Remove outdated FIXME in StorageManager
Summary: Remove outdated FIXME in StorageManager
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-20 11:57 PDT by Sihui Liu
Modified: 2019-05-31 21:17 PDT (History)
4 users (show)

See Also:


Attachments
Patch (5.14 KB, patch)
2019-05-24 14:37 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch for landing (5.39 KB, patch)
2019-05-31 20:33 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sihui Liu 2019-05-20 11:57:38 PDT
Fix the FIXMEs in StorageManager
Comment 1 Sihui Liu 2019-05-24 14:36:04 PDT
After r245649, we start dispatching StorageManager messages to main thread of network process and actually handling them on background thread. Therefore the places we marked that need message check won't be checked until after message dispatching completes on main thread.
Comment 2 Sihui Liu 2019-05-24 14:37:47 PDT
Created attachment 370593 [details]
Patch
Comment 3 Geoffrey Garen 2019-05-24 16:04:15 PDT
Comment on attachment 370593 [details]
Patch

r=me
Comment 4 Sihui Liu 2019-05-31 20:33:17 PDT
Created attachment 371106 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2019-05-31 21:16:46 PDT
Comment on attachment 371106 [details]
Patch for landing

Clearing flags on attachment: 371106

Committed r246011: <https://trac.webkit.org/changeset/246011>
Comment 6 WebKit Commit Bot 2019-05-31 21:16:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2019-05-31 21:17:19 PDT
<rdar://problem/51325006>